# ACE_RMCast::Parameters Class Reference

`#include <Parameters.h>`

Collaboration diagram for ACE_RMCast::Parameters:

[legend]
List of all members.

## Public Member Functions

| Parameters (bool simulator=false, unsigned short max_packet_size=1470, ACE_Time_Value const &tick=ACE_Time_Value(0, 2000), unsigned long nak_timeout=1, unsigned long nrtm_timeout=10, unsigned long retention_timeout=500, size_t addr_map_size=50)
bool | simulator () const
unsigned short | max_packet_size () const
ACE_Time_Value const & | tick () const
unsigned long | nak_timeout () const
unsigned long | nrtm_timeout () const
unsigned long | retention_timeout () const
size_t | addr_map_size () const

## Private Attributes

bool | simulator_
unsigned short | max_packet_size_
ACE_Time_Value | tick_
unsigned long | nak_timeout_
unsigned long | nrtm_timeout_
unsigned long | retention_timeout_
size_t | addr_map_size_

## Constructor & Destructor Documentation

ACE_RMCast::Parameters::Parameters | ( | bool | simulator = `false`,
|  | unsigned short | max_packet_size = `1470`,
|  | ACE_Time_Value const & | tick = `ACE_Time_Value (0, 2000)`,
|  | unsigned long | nak_timeout = `1`,
|  | unsigned long | nrtm_timeout = `10`,
|  | unsigned long | retention_timeout = `500`,
|  | size_t | addr_map_size = `50`
| ) | `[inline]`

## Member Function Documentation

size_t ACE_RMCast::Parameters::addr_map_size | ( |  | ) | const`[inline]`

unsigned short ACE_RMCast::Parameters::max_packet_size | ( |  | ) | const`[inline]`

unsigned long ACE_RMCast::Parameters::nak_timeout | ( |  | ) | const`[inline]`

unsigned long ACE_RMCast::Parameters::nrtm_timeout | ( |  | ) | const`[inline]`

unsigned long ACE_RMCast::Parameters::retention_timeout | ( |  | ) | const`[inline]`

bool ACE_RMCast::Parameters::simulator | ( |  | ) | const`[inline]`

ACE_Time_Value const& ACE_RMCast::Parameters::tick | ( |  | ) | const`[inline]`

## Member Data Documentation

size_t ACE_RMCast::Parameters::addr_map_size_`[private]`

unsigned short ACE_RMCast::Parameters::max_packet_size_`[private]`

unsigned long ACE_RMCast::Parameters::nak_timeout_`[private]`

unsigned long ACE_RMCast::Parameters::nrtm_timeout_`[private]`

unsigned long ACE_RMCast::Parameters::retention_timeout_`[private]`

bool ACE_RMCast::Parameters::simulator_`[private]`

ACE_Time_Value ACE_RMCast::Parameters::tick_`[private]`

The documentation for this class was generated from the following file:

- Parameters.h